speckley::RipleyCoupler::Ripley Struct Reference

## Public Attributes

const ripley::RipleyDomain * | domain
double | dx [3]
dim_t | NE [3]
dim_t | mins [3]
dim_t | maxs [3]

## Member Data Documentation

## domain

const ripley::RipleyDomain* speckley::RipleyCoupler::Ripley::domain

Referenced by speckley::RipleyCoupler::calculate(), speckley::RipleyCoupler::generateLocations(), and speckley::RipleyCoupler::getEdgeSpacing().

## dx

double speckley::RipleyCoupler::Ripley::dx[3]

Referenced by speckley::RipleyCoupler::calculate(), speckley::RipleyCoupler::generateLocations(), speckley::RipleyCoupler::getEdgeSpacing(), and speckley::RipleyCoupler::interpolate().

## maxs

dim_t speckley::RipleyCoupler::Ripley::maxs[3]

Referenced by speckley::RipleyCoupler::interpolate().

## mins

dim_t speckley::RipleyCoupler::Ripley::mins[3]

Referenced by speckley::RipleyCoupler::interpolate().

## NE

dim_t speckley::RipleyCoupler::Ripley::NE[3]

Referenced by speckley::RipleyCoupler::generateLocations(), speckley::RipleyCoupler::getEdgeSpacing(), speckley::RipleyCoupler::interpolate(), speckley::RipleyCoupler::shareBrickXFaces(), speckley::RipleyCoupler::shareBrickYFaces(), speckley::RipleyCoupler::shareBrickZFaces(), speckley::RipleyCoupler::shareRectangleXEdges(), and speckley::RipleyCoupler::shareRectangleYEdges().

The documentation for this struct was generated from the following file:

- CrossDomainCoupler.h